
From: Andrew Morton <akpm@osdl.org>

It wants to use pci_match_id() in there.

Cc: David Hardeman <david@2gen.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/watchdog/i6300esb.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/watchdog/i6300esb.c~i6300esb-pci_match_device-fix drivers/char/watchdog/i6300esb.c
--- devel/drivers/char/watchdog/i6300esb.c~i6300esb-pci_match_device-fix	2005-07-14 03:47:46.000000000 -0700
+++ devel-akpm/drivers/char/watchdog/i6300esb.c	2005-07-14 03:47:53.000000000 -0700
@@ -369,7 +369,7 @@ static unsigned char __init esb_getdevic
          */
 
         while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
-                if (pci_match_device(esb_pci_tbl, dev)) {
+                if (pci_match_id(esb_pci_tbl, dev)) {
                         esb_pci = dev;
                         break;
                 }
_
